Package org.jbpm.process.audit.command

## Class AuditVariableInstanceLogQueryCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<List<org.kie.api.runtime.manager.audit.VariableInstanceLog>>
  - - org.jbpm.process.audit.command.AuditVariableInstanceLogQueryCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<org.kie.api.runtime.manager.audit.VariableInstanceLog>>`, `org.kie.api.command.ExecutableCommand<List<org.kie.api.runtime.manager.audit.VariableInstanceLog>>`

      public class AuditVariableInstanceLogQueryCommand
      extends AuditCommand<List<org.kie.api.runtime.manager.audit.VariableInstanceLog>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AuditVariableInstanceLogQueryCommand()` |
    `AuditVariableInstanceLogQueryCommand​(org.jbpm.query.jpa.data.QueryWhere queryWhere)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.kie.api.runtime.manager.audit.VariableInstanceLog>` | `execute​(org.kie.api.runtime.Context context)` |

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditVariableInstanceLogQueryCommand

          public AuditVariableInstanceLogQueryCommand()

    - #### AuditVariableInstanceLogQueryCommand

          public AuditVariableInstanceLogQueryCommand​(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### execute

          public List<org.kie.api.runtime.manager.audit.VariableInstanceLog> execute​(org.kie.api.runtime.Context context)